<!DOCTYPE html>
<html lang="en">

<head>
    <title>Index page</title>
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
    <link rel="stylesheet" href="css/mystyle.css">
</head>

<body>
    <div class="container">
        <h2 align="center" class="text-danger">Regular Expressions in JavaScript</h2>
        <hr />

        <!-- Javascript regular expressions tutorial -->
        <div id="title">
            <form id="usersignup">
                <input type="text" class="form-control" name="username" placeholder="Enter username . . .">
                <p>Username between 5 and 10 characters.</p>

                <input type="password" class="form-control" name="password" placeholder="Enter password . . .">
                <p>Password between 8 and 10 alphanumeric characters; can contain special characters (@, _ or -).</p>

                <input type="text" class="form-control" name="email" placeholder="Enter email . . .">
                <p>Doesn't look like a valid email (E.g. me@mydomain.com).</p>

                <input type="text" class="form-control" name="telephone" placeholder="Enter telephone . . .">
                <p>Phone number should be 10 digit number.</p>
            </form>
        </div>
    </div>
    <script>
        const inputs = document.querySelectorAll('input');

        // Regular expressions patterns.
        const patterns = {
            username: /^[a-z\d]{5,10}$/i,
            password: /^[\d\w@-]{8,10}$/i,
            email: /^([a-z\d\.-]+)@([a-z\d-]+)\.([a-z]{2,8})(\.[a-z]{2,8})?$/,
            telephone: /^\d{10}$/
        };

        // Validation functions.
        function validate(field, regex) {
            if (regex.test(field.value)) {
                field.className = 'valid';
            } else {
                field.className = 'invalid';
            }
        }

        // Attaching blur event to the input fields.
        inputs.forEach((input) => {
            input.addEventListener('blur', (e) => {
                validate(e.target, patterns[e.target.attributes.name.value]);
            });
        });
    </script>
</body>

</html>